- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_input_kbd_feedback_state_t Struct Reference
[XCB Input API]

xcb_input_kbd_feedback_state_t More...

`#include <xinput.h>`

## Data Fields
uint8_t | class_id
uint8_t | id
uint16_t | len
uint16_t | pitch
uint16_t | duration
uint32_t | led_mask
uint32_t | led_values
uint8_t | global_auto_repeat
uint8_t | click
uint8_t | percent
uint8_t | pad0
uint8_t | auto_repeats [32]

## Detailed Description

xcb_input_kbd_feedback_state_t

## Field Documentation

uint8_t xcb_input_kbd_feedback_state_t::class_id

uint8_t xcb_input_kbd_feedback_state_t::id

uint16_t xcb_input_kbd_feedback_state_t::len

uint16_t xcb_input_kbd_feedback_state_t::pitch

uint16_t xcb_input_kbd_feedback_state_t::duration

uint32_t xcb_input_kbd_feedback_state_t::led_mask

uint32_t xcb_input_kbd_feedback_state_t::led_values

uint8_t xcb_input_kbd_feedback_state_t::global_auto_repeat

uint8_t xcb_input_kbd_feedback_state_t::click

uint8_t xcb_input_kbd_feedback_state_t::percent

uint8_t xcb_input_kbd_feedback_state_t::pad0

uint8_t xcb_input_kbd_feedback_state_t::auto_repeats[32]

The documentation for this struct was generated from the following file:

- xinput.h